libsub-wrappackages-perl_2.0-1_all.deb


Advertisement

Description

libsub-wrappackages-perl - module to wrap subroutines in packages

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libsub-wrappackages-perl
Package version 2.0
Package release 1
Package architecture all
Package type deb
Installed size 76 B
Download size 12.28 KB
Official Mirror ftp.br.debian.org
Sub::WrapPackages is a Perl module that can add pre- and post-execution code
wrappers around some given subroutines. It is mostly a wrapper around Damian
Conway's Hook::LexWrap module. Instead of exporting a wrap function, magic
happens when you load the module via the "use" keyword.

Alternatives

Package Version Architecture Repository
libsub-wrappackages-perl_2.0-1_all.deb 2.0 all Debian Main
libsub-wrappackages-perl - - -

Requires

Name Value
libdevel-caller-ignorenamespaces-perl -
libsub-prototype-perl -
perl -

Download

Type URL
Binary Package libsub-wrappackages-perl_2.0-1_all.deb
Source Package libsub-wrappackages-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsub-wrappackages-perl deb package:
    # sudo apt-get install libsub-wrappackages-perl

Files

Path
/usr/share/doc/libsub-wrappackages-perl/changelog.Debian.gz
/usr/share/doc/libsub-wrappackages-perl/changelog.gz
/usr/share/doc/libsub-wrappackages-perl/copyright
/usr/share/man/man3/Sub::WrapPackages.3pm.gz
/usr/share/perl5/Sub/WrapPackages.pm

Changelog

2011-04-08 - gregor herrmann <gregoa@debian.org>
libsub-wrappackages-perl (2.0-1) unstable; urgency=low
[ Ryan Niebur ]
* Email change: Jonathan Yu -> jawnsy@cpan.org
[ Jonathan Yu ]
* New upstream release
* Standards-Version 3.8.4 (no changes)
[ gregor herrmann ]
* Add /me to Uploaders.
* Update build and runtime dependencies.
* Switch to debhelper 8.
* Switch to source format 3.0 (quilt).
* Update debian/copyright.
* Set Standards-Version to 3.9.2 (no further changes).
2009-08-24 - Jonathan Yu <frequency@cpan.org>
libsub-wrappackages-perl (1.3-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
+ Defer wrapping of modules that aren't yet loaded
* Standards-Version 3.8.3 (no changes)
* Remove version dependency on libhook-lexwrap-perl (oldest version
in Debian is 0.20)
* Added myself to Uploaders and Copyright
* Updated copyright file
* Bump debhelper requirement to 7 (and compat)
* Change to new shorter rules format
* Shortened description significantly, if people need this info they
should probably read the perldoc
* Added Test::Pod to B-D-I
[ gregor herrmann ]
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ gregor herrmann ]
* Add libtest-pod-coverage-perl to Build-Depends-Indep.
2008-02-29 - Jaldhar H. Vyas <jaldhar@debian.org>
libsub-wrappackages-perl (1.2-1) unstable; urgency=low
* Initial Release. (Closes: #468651)

See Also

Package Description
libsublib-cil_0.9-4_all.deb CLI library that eases the development of subtitling applications
libsublime-dev_1.7.0-2_amd64.deb development files for the sublime user interface library
libsublime8_1.7.0-2_amd64.deb User interface library
libsubtitleeditor-dev_0.33.0-3_amd64.deb subtitleeditor lib - development files
libsubtitleeditor0_0.33.0-3_amd64.deb subtitleeditor lib - runtime files
libsubtitles-perl_1.04-1_all.deb utilities to fix subtitles timing
libsubunit-dev_0.0.18-4_amd64.deb Unit testing protocol - Development headers and static library for libsubunit
libsubunit-perl_0.0.18-4_all.deb perl parser and diff for Subunit streams
libsubunit0_0.0.18-4_amd64.deb Unit testing protocol - C/C++ shared library
libsuil-0-0_0.8.2~dfsg0-1_amd64.deb library for loading and wrapping LV2 plugin UIs
libsuil-dev_0.8.2~dfsg0-1_amd64.deb Development files for suil
libsuitesparse-dev_4.2.1-3_amd64.deb libraries for sparse matrices computations (development files)
libsuitesparse-doc_4.2.1-3_all.deb libraries for sparse matrices computations (documentation)
libsundials-cvode1_2.5.0-3+b1_amd64.deb ordinary differentialequation solver (SUNDIALS library)
libsundials-cvodes2_2.5.0-3+b1_amd64.deb ODE solver with sensistivity analysis (SUNDIALS library)
Advertisement
Advertisement